---
title: "Retrieve Issued Card Transaction Details"
source_url: https://docs.rapyd.net/en/retrieve-issued-card-transaction-details.html
lang: en
---

# Retrieve Issued Card Transaction Details

Use the GET method to retrieve details of a specific transaction from a specific issued card.

### Parameters

### Request Path Parameters

- - card
  - ID of the issued card. String starting with **card_**.
- - transaction
  - ID of the card transaction. String starting with **cit_**.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - amount
  - Amount of the refund, in units defined in `currency`.
- - bin
  - Bank Identifier Number (BIN) for the card. The first 6 digits of the card number.
- - card_id
  - ID of the card. String starting with **card_**.
- - card_program_id
  - ID of the card program. String starting with **cardprog_**.
- - created_at
  - Time of creation of the transaction, in Unix time.
- - currency
  - Currency of the refund transaction. Three-letter ISO 4217 code.
- - fx_rate
  - The exchange rate. Relevant to capture (clearing) transactions.
- - id
  - ID of the issued card transaction. String starting with **cit_**.
- - issuing_txn_type
  - Type of transaction on the issued card. One of the following:

    - **ADJUSTMENT**
    - **ATM_FEE**
    - **CREDIT**
    - **REFUND**
    - **REVERSAL**
    - **SALE**
- - last4
  - Last 4 digits of the card number.
- - merchant_category_code
  - Four-digit merchant category code (MCC) of the initiator of the transaction, as defined in [ISO 18245](https://www.iso.org/standard/33365.html).
- - merchant_name_location
  - Name and location of the merchant.

    TEST MERCHANT
- - original_transaction_id
  - ID of the original issued card transaction. String starting with **cit_**.
- - original_txn_amount
  - Original amount for FX transactions, when 'currency' is different from 'original_txn_currency'.
- - original_txn_currency
  - Original currency in an FX transaction.
- - pos_entry_mode
  - The mode of entry of the transaction at the point of sale. One of the following values:

    - **adjustment**
    - **ecommerce**
    - **emv**
    - **emv_standin**
    - **magstripe**
    - **manual_entered**
    - **network_token**
    - **nfc**
    - **3ds_ecommerce**
- - retrieval_reference_number
  - Retrieval reference number for the card transaction.
- - systems_trace_audit_number
  - Reserved.
- - wallet_transaction_id
  - ID of the wallet transaction String starting with **wt_**.

### Code Samples

- - .NET

    - ```csharp
      using System;

      namespace RapydApiRequestSample
      {
          class Program
          {
              static void Main(string[] args)
              {
                  try
                  {

                      string card = "card_5004bc56594a31fb9a48b9b88c2d6f48";
                      string transaction = "cit_8d8a34d280ff02b0bd218ac6ede21931";

                      string result = RapydApiRequestSample.Utilities.MakeRequest("GET", $"/v1/issuing/cards/{card}/transactions/{transaction}");

                      Console.WriteLine(result);
                  }
                  catch (Exception e)
                  {
                      Console.WriteLine("Error completing request: " + e.Message);
                  }
              }
          }
      }
      ```
- - JavaScript

    - ```javascript
      const makeRequest = require('../../../../Utilities/JS/utilities').makeRequest;

      async function main() {
        try {
          const result = await makeRequest(
            'GET',
            '/v1/issuing/cards/card_5004bc56594a31fb9a48b9b88c2d6f48/transactions/cit_8d8a34d280ff02b0bd218ac6ede21931'
          );

          console.log(result);
        } catch (error) {
          console.error('Error completing request', error);
        }
      }
      ```
- - PHP

    - ```php
      <?php
      $path = $_SERVER['DOCUMENT_ROOT'];
      $path .= "/code_race_2020/Utilities/PHP/utilities.php";
      include($path);
      try {
          $object = make_request('get', '/v1/issuing/cards/card_5004bc56594a31fb9a48b9b88c2d6f48/transactions/cit_8d8a34d280ff02b0bd218ac6ede21931');
          var_dump($object);
      } catch(Exception $e) {
          echo "Error: $e";
      }
      ?>
      ```
- - Python

    - ```python
      from pprint import pprint

      from utilities import make_request

      results = make_request(method='get',
                             path=f'/v1/issuing/cards/card_5004bc56594a31fb9a48b9b88c2d6f48/transactions/cit_8d8a34d280ff02b0bd218ac6ede21931')
      pprint(results)
      ```

- /v1/issuing/cards/:card/transactions/:transaction

- Retrieve Issued Card Transaction
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/issuing/cards/card_d8903df251a06a5dfa7630e0f6389fa4/transactions/cit_862d97478bf33c9b0c6056d7f8a55262' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "f7c5dfdc-dbd3-4379-ad45-e7c7a2187f6e"
      },
      "data": {
          "id": "cit_862d97478bf33c9b0c6056d7f8a55262",
          "amount": 0,
          "currency": "",
          "created_at": 1608796554,
          "card_id": "card_d8903df251a06a5dfa7630e0f6389fa4",
          "merchant_category_code": "",
          "merchant_name_location": "TEST MERCHANT",
          "auth_code": "",
          "bin": "523489",
          "last4": "1271",
          "issuing_txn_type": "REFUND",
          "pos_entry_mode": "",
          "systems_trace_audit_number": "",
          "retrieval_reference_number": "",
          "original_transaction_id": "",
          "original_txn_amount": 5,
          "original_txn_currency": "USD",
          "fx_rate": null,
          "card_program": "",
          "wallet_transaction_id": "",
          "authorization_approved_by": "",
          "card_authorization": "cardauth_7ff40c4a42e88524f39a62cfc082a2bb"
      }
  }
  ```
